#
# spec file for package atomix
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           atomix
Version:        3.22.0
Release:        lp150.2.3
Summary:        A puzzle game where you move atoms to build a molecule
License:        GPL-2.0-or-later
Group:          Amusements/Games/Board/Other
URL:            https://wiki.gnome.org/Apps/Atomix
Source:         http://download.gnome.org/sources/atomix/3.22/%{name}-%{version}.tar.xz
BuildRequires:  intltool >= 0.40.0
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.0.5
BuildRequires:  pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14.0
Recommends:     %{name}-lang

%description
You start the game with the map filled with walls and a few atoms, which you can
move in any direction. However, the atoms won't stop until they hit a wall or
another atom.

You can see a preview of what molecule you have to build, and you have to do your
best to find where to build the molecule, and move the atoms there.

%lang_package

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name}

%post
%icon_theme_cache_post

%postun
%icon_theme_cache_post

%files
%license COPYING
%doc ChangeLog README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%dir %{_datadir}/appdata
%{_datadir}/appdata/atomix.appdata.xml
%{_datadir}/applications/atomix.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}*

%files lang -f %{name}.lang

%changelog
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Mon Sep 19 2016 zaitor@opensuse.org
- Update to version 3.22.0:
  + Added content ratings.
  + Updated translations.
* Tue Sep 13 2016 zaitor@opensuse.org
- Update to version 3.21.92:
  + Updated translations.
* Tue Aug 30 2016 zaitor@opensuse.org
- Update to version 3.21.91:
  + Port from gnome-common.
  + Fix compilation warnings.
  + Updated translations.
* Tue Aug 16 2016 zaitor@opensuse.org
- Update to version 3.21.90:
  + Use label word wrap instead of newlines.
  + Updated translations.
* Tue Mar 22 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + No changes.
* Tue Mar 15 2016 dimstar@opensuse.org
- Update to version 3.19.92:
  + New icon and logo for GNOME3.
  + Symbolic and low-res icon.
  + Updated translations.
* Tue Mar  1 2016 zaitor@opensuse.org
- Update to version 3.19.91:
  + Updated translations.
* Tue Feb 16 2016 zaitor@opensuse.org
- Update to version 3.19.90:
  + Updated Appdata to spec version 0.7.
  + Added tag to Appdata.
  + Updated translations.
* Tue Jan 19 2016 dimstar@opensuse.org
- Update to version 3.19.4:
  + Added scalable icon (bgo#746471).
  + Use new icon and GtkApplication (bgo#742871).
  + Single-instance application.
  + Remove window border.
  + Register window actions.
  + Fixed autogen deprecation warnings.
  + Updated translations.
- Add %%icon_theme_cache_post/%%icon_theme_cache_postun macros to
  post/postun scripts in order to rebuild the icon cache.
* Tue Dec 22 2015 zaitor@opensuse.org
- Update to version 3.19.3:
  + Updated translations.
* Tue Nov 24 2015 zaitor@opensuse.org
- Update to version 3.19.2:
  + Show gameplay tips (bgo#587868).
  + Updated translations.
* Tue Sep 22 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + No changes, stable version.
* Mon Sep 14 2015 zaitor@opensuse.org
- Update to version 3.17.92:
  + Updated translations.
* Tue Sep  1 2015 zaitor@opensuse.org
- Update to version 3.17.91:
  + Fixed about dialog not showing close button.
  + Website on about dialog should not be translatable.
  + Updated translations.
* Tue Aug 18 2015 zaitor@opensuse.org
- Update to version 3.17.90:
  + Updated translations.
- Drop pkgconfig(libxml2) BuildRequires: No longer needed.
* Wed Jun 24 2015 dimstar@opensuse.org
- Own %%{_datadir}/appdata.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + Fixed licensing mistake in appdata (bgo#746473).
* Tue Mar 17 2015 dimstar@opensuse.org
- Update to version 3.15.92:
  + Updated translations.
* Tue Mar  3 2015 dimstar@opensuse.org
- Initial package, version 3.15.91.
